Zum Inhalt springen

Importieren Sie Inhalte aus externen Quellen in die Wissensdatenbank. Diese Endpunkte verarbeiten Inhalte asynchron.

Importieren Sie Inhalte aus externen Quellen in die Wissensdatenbank. Diese Endpunkte verarbeiten Inhalte asynchron.

Eine einzelne Webseite oder eine gesamte Website scrapen und den Inhalt importieren.

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/website

Request-Body

ParameterDescription
url
string, required
Zu scrapende URL
mode
string
"individual" (Standard), "site_wide" oder "individual_with_summary"
phrases
array of strings
Zu extrahierende Schlüsselphrasen
html_selector
string
CSS-Selektor, um bestimmte Inhalte anzusprechen
Terminal-Fenster
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/website \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://example.com/docs",
"mode": "individual"
}'

Antwort 202 Accepted

{
"status": "success",
"url": "https://example.com/docs",
"article": {}
}

Das Transkript eines YouTube-Videos importieren.

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/youtube

Request-Body

ParameterDescription
url
string, required
YouTube-Video-URL
toast_process_uuid
string, required
UUID v4 zur Nachverfolgung des Importvorgangs
Terminal-Fenster
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/youtube \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"toast_process_uuid": "550e8400-e29b-41d4-a716-446655440000"
}'

Antwort 202 Accepted — Das Transkript wird asynchron verarbeitet.

Inhalte von allen Links in einer XML-Sitemap importieren.

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/site-map

Request-Body

ParameterDescription
site_map
string, required
URL einer XML-Sitemap
link_filter_regex
string
Regex zum Filtern der zu importierenden Links (Standard: ".*")
html_selector
string
CSS-Selektor, um bestimmte Inhalte anzusprechen
summarize
boolean
Ob importierte Inhalte zusammengefasst werden sollen (Standard: false)
Terminal-Fenster
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/site-map \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"site_map": "https://example.com/sitemap.xml"
}'

Antwort 202 Accepted

{
"status": "success",
"links": ["https://example.com/page1", "https://example.com/page2"]
}

Inhalte aus einer bestimmten Liste von URLs importieren.

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/scrape-list

Request-Body

ParameterDescription
links
array of strings, required
Liste der zu scrapenden URLs (nicht leer)
tags
array of strings
Tags, die importierten Artikeln zugewiesen werden
html_selector
string
CSS-Selektor, um bestimmte Inhalte anzusprechen
summarize
boolean
Ob importierte Inhalte zusammengefasst werden sollen (Standard: false)
Terminal-Fenster
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/scrape-list \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"links": ["https://example.com/page1", "https://example.com/page2"],
"tags": ["imported"]
}'

Antwort 202 Accepted

{
"status": "success",
"links": ["https://example.com/page1", "https://example.com/page2"]
}

Zuvor importierte Artikel vom Typ URL aus der Wissensdatenbank entfernen.

Scope: write_all

DELETE https://app.quickchat.ai/v1/api/knowledge_base/import_external

Request-Body

ParameterDescription
links
array of strings, required
Liste der zu entfernenden URLs (min. 1)
Terminal-Fenster
curl -X DELETE https://app.quickchat.ai/v1/api/knowledge_base/import_external \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"links": ["https://example.com/page1"]
}'

Antwort 200 OK